Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Locator_NT_Service Class Reference

Allows the Implementation Repository to act as a Windows NT Service. More...

`#include <Locator_NT_Service.h>`

Inheritance diagram for Locator_NT_Service:

[legend]
Collaboration diagram for Locator_NT_Service:

[legend]
List of all members.

## Public Types

typedef TAO_SYNCH_RECURSIVE_MUTEX | MUTEX

## Public Methods

virtual void | handle_control (DWORD control_code)
virtual int | handle_exception (ACE_HANDLE h)
virtual int | svc (void)
| This is a virtual method inherited from ACE_NT_Service.

## Friends

class | ACE_Singleton< Locator_NT_Service, MUTEX >

## Detailed Description

Allows the Implementation Repository to act as a Windows NT Service.

## Member Typedef Documentation

typedef TAO_SYNCH_RECURSIVE_MUTEX Locator_NT_Service::MUTEX

## Member Function Documentation

void Locator_NT_Service::handle_control | ( | DWORD | control_code | ) | `[virtual]`

| We override <handle_control> because it handles stop requests privately. Reimplemented from ACE_NT_Service.

int Locator_NT_Service::handle_exception | ( | ACE_HANDLE | h | ) | `[virtual]`

| We override <handle_exception> so a 'stop' control code can wake the reactor off of its wait. Reimplemented from ACE_Event_Handler.

int Locator_NT_Service::svc | ( | void |  | ) | `[virtual]`

| This is a virtual method inherited from ACE_NT_Service. We do almost the same thing as we do in run_standalone () Reimplemented from ACE_NT_Service.

## Friends And Related Function Documentation

friend class ACE_Singleton< Locator_NT_Service, MUTEX >`[friend]`

The documentation for this class was generated from the following files:

- Locator_NT_Service.h
- Locator_NT_Service.cpp